#ifndef FLYSCANPLUGIN_H
#define FLYSCANPLUGIN_H

#include "flyscan_global.h"

#include <ksaneplugin.h>

class FLYSCAN_EXPORT FlyScanPlugin: public KSanePlugin
{
    Q_OBJECT
    Q_PLUGIN_METADATA( IID KSanePlugin_iid )
    Q_INTERFACES( KSanePlugin )

public:
    FlyScanPlugin(QObject *parent = nullptr);

    KSanePagesWidget *createPagesWidget() override;
    QList<DocumentSaver *> createDocumentSavers() override;
    KSaneHPPlugins *createHPPlugins() override;
};

#endif // FLYSCANPLUGIN_H
